import {
  createPageContext,
  createSearchContext,
  createTableSearchContext,
} from '@hooks';
import {GetInventoryMainListParams, OriginalListParams} from '@models';

export const pageContext = createPageContext();
export const searchContext = createSearchContext();
export const contextState: OriginalListParams<GetInventoryMainListParams> = {
  title: '',
  startTime: '',
  endTime: '',
  userName: '',
};
export const context = createTableSearchContext(contextState);
